"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NpmConfigService = void 0;
const npmconfig = require("libnpmconfig");
const yok_1 = require("../common/yok");
class NpmConfigService {
    constructor() {
        this.config = {};
        this.readConfig();
    }
    getConfig() {
        return this.config;
    }
    readConfig() {
        const data = npmconfig.read();
        data.forEach((value, key) => {
            this.config[key] =
                typeof value !== "string"
                    ? value
                    : value.replace(/\${([^}]+)}/, (_, envVar) => process.env[envVar]);
        });
    }
}
exports.NpmConfigService = NpmConfigService;
yok_1.injector.register("npmConfigService", NpmConfigService);
