"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlatformsDataService = void 0;
const yok_1 = require("../common/yok");
const _ = require("lodash");
class PlatformsDataService {
    constructor($androidProjectService, $iOSProjectService) {
        this.platformsDataService = {};
        this.platformsDataService = {
            ios: $iOSProjectService,
            android: $androidProjectService,
        };
    }
    getPlatformData(platform, projectData) {
        const platformKey = platform && _.first(platform.toLowerCase().split("@"));
        let platformData;
        if (platformKey) {
            platformData =
                this.platformsDataService[platformKey] &&
                    this.platformsDataService[platformKey].getPlatformData(projectData);
        }
        return platformData;
    }
}
exports.PlatformsDataService = PlatformsDataService;
yok_1.injector.register("platformsDataService", PlatformsDataService);
